package com.duowenlvshi.duowenlszp.model.work.dao;

import com.duowenlvshi.duowenlszp.model.work.entity.Work;
import org.apache.ibatis.annotations.Param;


import java.util.List;
import java.util.Map;

public interface WorkMapper {


    int insertSelective(Work record);

    Work selectByPrimaryKey(String workId);

    int updateByPrimaryKeySelective(Work record);



    List<Map> selectByLawyerId(String lawyerId);

    int delete(String workId);

    int deleteAll(@Param("map") Map map);

    List<Map> selectSchool(String name);

    List<Map> selectSchoolVague(String name);

    double selectYear(String workId);
}